//+------------------------------------------------------------------+
//|  MA_CrossAlert_V1.0.mq4                                        |
//|  PipPicker                                                       |
//|  ----------------------------                                    |
//|  Version: 1.0                                                    |
//|  Last Modified: 7 June, 2009                                     |
//+------------------------------------------------------------------+
#property copyright "PipPicker"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 0

extern int        tmeFrame          = 0;
extern bool       Active            = true;
extern string     _                 = " ---------- Moving Average Parameters ------";
extern int        MA_Period         = 30;
extern int        MA_Shift          = 0;
extern string     __                = " --- 0: Simple, 1: Exponential, 2: Smoothed, 3: Linear Weighted  ---";
extern int        MA_Method         = 0;
extern string     ___               = " --- 0: Close, 1: Open, 2: High, 3: Low, 4: Median, 5: Typical, 6: Weighted Close ---";
extern int        MA_AppliedPrice   = 0;
extern string     ____              = " --------- Sound file has to be in MetaTrader\sounds folder  -----------";
extern string     Alert_Sound_File   = "alert2.wav";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   timeFrame = MathMax(timeFrame,Period());
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   if(Active && IsItNewBar())
      {
         double MA = iMA(NULL,timeFrame, MA_Period, MA_Shift, MA_Method, MA_AppliedPrice,1);
         if((iOpen(NULL,timeFrame,1) >= MA && iClose(NULL,timeFrame,1) <= MA) || (iOpen(NULL,timeFrame,1) <= MA && iClose(NULL,timeFrame,1) >= MA))
            {
               PlaySound(Alert_Sound_File);
               Alert("MA has been crossed on    ",  Symbol());
            }   
      }   

   return(0);
}

bool IsItNewBar()
{
   static datetime lastTime;
   bool IsNewBar = (iTime(NULL,timeFrame,0) != lastTime);
   lastTime = iTime(NULL,timeFrame,0);

   return(IsNewBar);
}


//+------------------------------------------------------------------+


